<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>PCJACOBI</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="PCJACOBI"><H1>PCJACOBI</H1></A>
Jacobi (i.e. diagonal scaling preconditioning) 
<H3><FONT COLOR="#CC3333">Options Database Key</FONT></H3>
<TABLE border="0" cellpadding="0" cellspacing="0">
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>-pc_jacobi_rowmax </B></TD><TD>- use the maximum absolute value in each row as the scaling factor,
rather than the diagonal
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>-pc_jacobi_abs </B></TD><TD>- use the absolute value of the diagaonl entry
</TD></TR></TABLE>
<P>

<P>
<P>
Notes: By using <A HREF="../KSP/KSPSetPreconditionerSide.html#KSPSetPreconditionerSide">KSPSetPreconditionerSide</A>(ksp,PC_SYMMETRIC) or -ksp_symmetric_pc you
can scale each side of the matrix by the squareroot of the diagonal entries.
<P>
Zero entries along the diagonal are replaced with the value 1.0
<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
  <A HREF="../PC/PCCreate.html#PCCreate">PCCreate</A>(), <A HREF="../PC/PCSetType.html#PCSetType">PCSetType</A>(), <A HREF="../PC/PCType.html#PCType">PCType</A> (for list of available types), <A HREF="../PC/PC.html#PC">PC</A>,
<BR><A HREF="../PC/PCJacobiSetUseRowMax.html#PCJacobiSetUseRowMax">PCJacobiSetUseRowMax</A>(), <A HREF="../PC/PCJacobiSetUseAbs.html#PCJacobiSetUseAbs">PCJacobiSetUseAbs</A>()
<P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>beginner
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/ksp/pc/impls/jacobi/jacobi.c.html#PCJACOBI">src/ksp/pc/impls/jacobi/jacobi.c</A>
<BR><A HREF="./index.html">Index of all PC routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
<P><H3><FONT COLOR="#CC3333">Examples</FONT></H3>
<A HREF="../../../src/ksp/ksp/examples/tutorials/ex1.c.html">src/ksp/ksp/examples/tutorials/ex1.c.html</A><BR>
<A HREF="../../../src/ksp/ksp/examples/tutorials/ex7.c.html">src/ksp/ksp/examples/tutorials/ex7.c.html</A><BR>
<A HREF="../../../src/ksp/ksp/examples/tutorials/ex15.c.html">src/ksp/ksp/examples/tutorials/ex15.c.html</A><BR>
<A HREF="../../../src/ksp/ksp/examples/tutorials/ex23.c.html">src/ksp/ksp/examples/tutorials/ex23.c.html</A><BR>
<A HREF="../../../src/ksp/ksp/examples/tutorials/ex1f.F.html">src/ksp/ksp/examples/tutorials/ex1f.F.html</A><BR>
<A HREF="../../../src/ksp/ksp/examples/tutorials/ex2f.F.html">src/ksp/ksp/examples/tutorials/ex2f.F.html</A><BR>
<A HREF="../../../src/ksp/ksp/examples/tutorials/ex15f.F.html">src/ksp/ksp/examples/tutorials/ex15f.F.html</A><BR>
<A HREF="../../../src/ksp/ksp/examples/tutorials/ex21f.F.html">src/ksp/ksp/examples/tutorials/ex21f.F.html</A><BR>
</BODY></HTML>
